Process status
curl --request GET \
--url https://api.example.com/{ENGINE_URL}/api/process/{PROCESS_INSTANCE_ID}/statusimport requests
url = "https://api.example.com/{ENGINE_URL}/api/process/{PROCESS_INSTANCE_ID}/status"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/{ENGINE_URL}/api/process/{PROCESS_INSTANCE_ID}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Process status
GET
{ENGINE_URL}
/
api
/
process
/
{PROCESS_INSTANCE_ID}
/
status
Process status
Processes can be started by making an API call. Certain parameters needed by the process can be sent on the request body.
Some special cases for stating process instances are:
- starting a process instance from another instance and inhering some data from the first one to the second
- a process can have multiple start nodes, in which case, a start condition must be set when making the start process call
string
required
The name of the process definition to instantiate.
string
required
The URL of the engine.
Last modified on July 7, 2026
Related topics
FlowX.AI 5.4.0 Release NotesFlowX.AI 5.9.0 Release NotesFlowX.AI 5.3.0 Release NotesFlowX.AI 5.5.0 Release NotesFlowX.AI 5.1.1 Release Notes (LTS)โI

